## GstTriggerControlSource GstTriggerControlSource — interpolation control source |

## Synopsis

    #include <libs/controller/gsttriggercontrolsource.h>

    struct              GstTriggerControlSource;
    GstControlSource *  gst_trigger_control_source_new      (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstControlSource
                         +----GstTimedValueControlSource
                               +----GstTriggerControlSource

## Properties

      "tolerance"                gint64                : Read / Write

## Description

GstTriggerControlSource is a GstControlSource, that returns values from user-given control points. It allows for a tolerance on the time-stamps.

To use GstTriggerControlSource get a new instance by calling `gst_trigger_control_source_new()`, bind it to a GParamSpec and set some control points by calling `gst_timed_value_control_source_set()`.

All functions are MT-safe.

## Details

### struct GstTriggerControlSource

    struct GstTriggerControlSource;

The instance structure of GstControlSource.

### gst_trigger_control_source_new ()

    GstControlSource *  gst_trigger_control_source_new      (void);

This returns a new, unbound GstTriggerControlSource.

Returns : | a new, unbound GstTriggerControlSource. [transfer full]

## Property Details

### The `"tolerance"` property

      "tolerance"                gint64                : Read / Write

Amount of ns a control time can be off to still trigger.

Allowed values: >= 0

Default value: 0